Index: src/backend/commands/trigger.c
===================================================================
RCS file: /usr/local/cvsroot/pgsql-server/src/backend/commands/trigger.c,v
retrieving revision 1.166
diff -2 -c -r1.166 trigger.c
*** src/backend/commands/trigger.c	1 Jul 2004 00:50:11 -0000	1.166
--- src/backend/commands/trigger.c	5 Aug 2004 01:25:46 -0000
***************
*** 1350,1353 ****
--- 1350,1354 ----
  	TupleTableSlot *newSlot;
  	int			i;
+ 	bool		ret;
  
  	trigtuple = GetTupleForTrigger(estate, relinfo, tupleid, cid, &newSlot);
***************
*** 1366,1369 ****
--- 1367,1371 ----
  	LocTriggerData.tg_relation = relinfo->ri_RelationDesc;
  	LocTriggerData.tg_newtuple = NULL;
+ 	ret = true;
  	for (i = 0; i < ntrigs; i++)
  	{
***************
*** 1378,1382 ****
--- 1380,1387 ----
  									   GetPerTupleMemoryContext(estate));
  		if (newtuple == NULL)
+ 		{
+ 			ret = false;
  			break;
+ 		}
  		if (newtuple != trigtuple)
  			heap_freetuple(newtuple);
***************
*** 1384,1388 ****
  	heap_freetuple(trigtuple);
  
! 	return (newtuple == NULL) ? false : true;
  }
  
--- 1389,1393 ----
  	heap_freetuple(trigtuple);
  
! 	return (ret);
  }
  
